> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/assettypeverification.md).

# AssetTypeVerification

## Overview

AssetTypeVerification는 Humanoid:ApplyDescription() 함수 호출 시 에셋 타입 검증 모드를 설정하는 Enum입니다.

이 검증은 보안 목적으로 필수적이며, ApplyDescription이 모델을 로드할 때 에셋 타입이 올바른지 확인합니다.

## Items

| Name       | Value | Description                                             |
| ---------- | ----- | ------------------------------------------------------- |
| Default    | 1     | 기본 동작에 따라 에셋 타입 검증을 수행합니다.                              |
| ClientOnly | 2     | 클라이언트에서만 에셋 타입을 검증합니다. 클라이언트에서는 에셋 타입 검증을 비활성화할 수 없습니다. |
| Always     | 3     | 항상 에셋 타입을 검증하고, 검증에 실패한 모델의 로드를 차단합니다.                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/assettypeverification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
